INTERFACE
 subroutine hlcloudcv (&
 & khor, klev, kstart,&
 & kstop, kstep, pdtime,&
 & pconacc,&
 & pt, pq, pcw,&
 & pcice, pqampli,&
 & ptotcov, ppf,&
 & klab, klabcv,&
 & pzrhuc, pzgpot, pztc,&
 & pzqp, pzcwp, pzcicep,&
 & pzqsat, pzqsatc, pzqac ) 
use parkind1 ,only : jpim, jprb
integer(kind=jpim),intent(in) :: khor
integer(kind=jpim),intent(in) :: klev
integer(kind=jpim),intent(in) :: kstart
integer(kind=jpim),intent(in) :: kstop
integer(kind=jpim),intent(in) :: kstep
real(kind=jprb) ,intent(in) :: pdtime
real(kind=jprb) ,intent(in) :: pconacc
real(kind=jprb) ,intent(in) :: pt(khor,klev)
real(kind=jprb) ,intent(in) :: pq(khor,klev)
real(kind=jprb) ,intent(in) :: pcw(khor,klev)
real(kind=jprb) ,intent(in) :: pcice(khor,klev)
real(kind=jprb) ,intent(in) :: ppf(khor,klev)
integer(kind=jpim),intent(in) :: klab(khor,klev)
integer(kind=jpim),intent(in) :: klabcv(khor,klev)
real(kind=jprb) ,intent(in) :: pzrhuc(khor,klev)
real(kind=jprb) ,intent(in) :: pzgpot(khor,klev)
real(kind=jprb) ,intent(in) :: pztc(khor,klev)
real(kind=jprb) ,intent(in) :: pzqp(khor,klev)
real(kind=jprb) ,intent(in) :: pzcwp(khor,klev)
real(kind=jprb) ,intent(in) :: pzcicep(khor,klev)
real(kind=jprb) ,intent(inout) :: pzqsat(khor,klev)
real(kind=jprb) ,intent(inout) :: pzqsatc(khor)
real(kind=jprb) ,intent(in) :: pzqac(khor,klev)
real(kind=jprb) ,intent(inout) :: pqampli(khor,klev)
real(kind=jprb) ,intent(inout) :: ptotcov(khor,klev)
end subroutine hlcloudcv
END INTERFACE
